openapi: 3.0.0
info:
  title: Tools - UPC, EAN, ISBN Lookup
  description: Find product descriptions, photos, pricing and other details on any product in seconds with a lookup of the products Universal Product Code (UPC), European Article Number (EAN), or International Standard Book Number (ISBN).
  contact: {}
  version: "1.0.1"
servers:
  - url: https://api.zebra.com/v2/tools/barcode
    variables: {}
security:
  - ApiKeyAuth: []
paths:
  /lookup:
    get:
      tags:
        - Lookup
      summary: UPC Lookup
      description: Retrieves product information in JSON format for a provided barcode.  Response models vary depending on code.
      operationId: UPCLookup
      parameters:
        - name: upc
          in: query
          description: UPC, EAN, or ISBN code number
          required: true
          style: form
          explode: true
          schema:
            type: string
      responses:
        "200":
          description: OK
          headers: {}
          content: {}
        "400":
          description: Bad Request
          headers: {}
          content:
            application/json:
              schema:
                type: object
        "401":
          description: Unauthorized
          headers: {}
          content:
            application/json:
              schema:
                type: object
      deprecated: false
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your Zebra Savanna application key for usage of this API. See the [Getting Started Guide](https://developer.savanna.zebra.com/getting-started-0) for more details.
tags:
  - name: Lookup
    description: ""
